Bug 520539 - AR9285 Wireless stops working
Summary: AR9285 Wireless stops working
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 01:07 UTC by James Hubbard
Modified: 2010-11-04 11:18 UTC (History)
4 users (show)

Fixed In Version: F13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 11:18:36 UTC


Attachments (Terms of Use)
messages.log output for ar9285 problem (82.97 KB, text/plain)
2009-09-09 22:20 UTC, James Hubbard
no flags Details
/var/log/messages with NetworkManager wlan0 messages (6.32 KB, text/plain)
2009-09-23 13:58 UTC, JYundt
no flags Details

Description James Hubbard 2009-09-01 01:07:40 UTC
Description of problem:
The wireless network stops working after transferring a are large amount of data. After transferring a large number of files.  The NetworkManager loses connection and attemtps to reconnect.  NetworkManager prompts for WEP key.  Click OK to use the same key as before, attempts to reconnect and prompts again.  Disabling newtork and re-enabling doens't help.

The wireless card is an AR9285 that came with the Gateway LT31. 

Version-Release number of selected component (if applicable):
Fedora 12 Alpha LiveCD

How reproducible:
Consistent.  

Use scp to transfer files via the wireless network from a remote machine to the local machine.   Coping multiple files 10MB - 20MB in size should trigger the problem.

Steps to Reproduce:
1.Use scp to transfer files via the wireless network from a remote machine to the local machine.   Coping multiple files 10MB - 20MB in size should trigger the problem.

Actual results:


Expected results:


Additional info:
Have seen similar issue with Ubunut KarmicKola  9.10 alpha releases.  It't not as bad now, but AR9285 is problematic.

Comment 1 James Hubbard 2009-09-09 22:18:05 UTC
Using the 20090908 radeon test day live image.
Kernel: 2.6.31-0.212.rc9.git1.fc12.i686

Siting next to the wireless router, transfering large files via scp will work.  When sitting downstairs, the copy via scp will not complete.  The wireless will disconnect and not reconnect. 

I'm attaching the relevant information from /var/log/messages.  

Also, the nm-applet will crash and not restart.  I have to manually restart.

Comment 2 James Hubbard 2009-09-09 22:20:13 UTC
Created attachment 360360 [details]
messages.log output for ar9285 problem

This is the output in /var/log/messages for the AR9285 issues that I'm seeing.  
kernel 2.6.31-0.212.rc9.git1.fc12.i686

Comment 3 JYundt 2009-09-23 01:53:12 UTC
I'm having similar intermittent errors with a AR9285 card on Fedora 11.  I won't be able to join certain WEP networks and I'll randomly get dropped.  Sorry if this should be filed under a new bug.


Asus EEE 1005HA
2.6.29.6-217.2.3.fc11.i586

00:00.0 Host bridge: Intel Corporation Mobile 945GME Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA AHCI Controller (rev 02)
01:00.0 Ethernet controller: Attansic Technology Corp. Device 1062 (rev c0)
02:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)

Comment 4 JYundt 2009-09-23 13:58:44 UTC
Created attachment 362298 [details]
/var/log/messages with NetworkManager wlan0 messages

Snippet from /var/log/messages

Comment 5 James Hubbard 2009-10-26 01:28:55 UTC
With F12 Beta, the card is working "better".  Better in this case means that it is able to reassociate with the AP when it loses connection.  However, under heavy load it disconnects frequently (2 - 3 per minute). Heavy load is transferring 20+MB flac files via wireless.

Comment 6 Bug Zapper 2009-11-16 11:52:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 chris ahrendt 2010-02-26 01:29:37 UTC
occurs on F11 with latest updates...

Comment 8 Bug Zapper 2010-11-04 10:16:50 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 James Hubbard 2010-11-04 11:18:36 UTC
The AR9285 is working fine in Fedora13.


Note You need to log in before you can comment on or make changes to this bug.